repos:
- repo: git://github.com/antonbabenko/pre-commit-terraform
  rev: v1.52.0 # Get the latest from: https://github.com/antonbabenko/pre-commit-terraform/releases
  hooks:
    - id: checkov
      args: [
        "-d", ".",
      ]
    - id: terragrunt_fmt
    - id: terraform_tflint
      args:
       - --args=--enable-rule=terraform_documented_variables
    - id: terraform_tfsec
      files: .
    - id: terraform_docs
      args:
        - tfvars hcl --output-file terraform.tfvars.model .